<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AuthController extends Controller
{
    public function showLogin()
    {
        return view('auth.login');
    }

    public function login(Request $request)
    {
        $credentials = $request->only('email', 'password');
        if (Auth::attempt($credentials) && Auth::user()->is_admin) {
            return redirect('/admin');
        }
        return back()->withErrors(['email' => 'Sai thông tin hoặc không có quyền admin']);
    }

    public function logout()
    {
        Auth::logout();
        return redirect('/admin/login');
    }
}