@extends('layouts.app')

@section('content')
    <div class="container">
        <h1>Quản lý Đơn hàng</h1>
        @if (session('success'))
            <p class="success">{{ session('success') }}</p>
        @endif
        <table>
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Tài khoản</th>
                    <th>Email</th>
                    <th>Phương thức</th>
                    <th>Trạng thái</th>
                    <th>Hành động</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($orders as $order)
                    <tr>
                        <td>{{ $order->id }}</td>
                        <td>{{ $order->service->name }}</td>
                        <td>{{ $order->email }}</td>
                        <td>{{ $order->payment_method }}</td>
                        <td>{{ $order->status }}</td>
                        <td>
                            <form action="/admin/orders/{{ $order->id }}" method="POST">
                                @csrf
                                @method('PUT')
                                <select name="status">
                                    <option value="pending" {{ $order->status == 'pending' ? 'selected' : '' }}>Chờ xử lý</option>
                                    <option value="completed" {{ $order->status == 'completed' ? 'selected' : '' }}>Hoàn thành</option>
                                    <option value="cancelled" {{ $order->status == 'cancelled' ? 'selected' : '' }}>Hủy</option>
                                </select>
                                <button type="submit">Cập nhật</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
@endsection