@extends('layouts.app')

@section('content')
    <div class="container">
        <h1>Quản lý Dịch vụ</h1>
        @if (session('success'))
            <p class="success">{{ session('success') }}</p>
        @endif
        <form action="/admin/services" method="POST">
            @csrf
            <input name="name" placeholder="Tên dịch vụ" required>
            <input name="price" type="number" placeholder="Giá (VNĐ)" required>
            <input name="desc" placeholder="Mô tả" required>
            <input name="details" placeholder="Chi tiết (user:pass)" required>
            <button type="submit">Thêm</button>
        </form>
        <ul>
            @foreach ($services as $service)
                <li>
                    {{ $service->name }} - {{ number_format($service->price) }} VNĐ
                    <form action="/admin/services/{{ $service->id }}" method="POST" style="display:inline;">
                        @csrf
                        @method('PUT')
                        <input name="name" value="{{ $service->name }}" required>
                        <input name="price" type="number" value="{{ $service->price }}" required>
                        <input name="desc" value="{{ $service->desc }}" required>
                        <input name="details" value="{{ $service->details }}" required>
                        <button type="submit">Cập nhật</button>
                    </form>
                    <form action="/admin/services/{{ $service->id }}" method="POST" style="display:inline;">
                        @csrf
                        @method('DELETE')
                        <button type="submit">Xóa</button>
                    </form>
                </li>
            @endforeach
        </ul>
    </div>
@endsection