@extends('layouts.app')

@section('content')
    <div class="container">
        <h1>Cửa Hàng</h1>
        @if (session('success'))
            <p class="success">{{ session('success') }}</p>
        @endif
        @if (session('error'))
            <p class="error">{{ session('error') }}</p>
        @endif
        <div class="account-grid">
            @foreach ($services as $service)
                <div class="account-card">
                    <h3>{{ $service->name }}</h3>
                    <p>{{ $service->desc }}</p>
                    <p>Giá: {{ number_format($service->price) }} VNĐ</p>
                    <form action="/shop/buy/{{ $service->id }}" method="POST">
                        @csrf
                        <input type="email" name="email" placeholder="Email của bạn" required>
                        <select name="payment_method">
                            <option value="momo">MoMo</option>
                            <option value="zalopay">ZaloPay</option>
                            <option value="bank">Ngân hàng</option>
                        </select>
                        <button type="submit">Mua Ngay</button>
                    </form>
                </div>
            @endforeach
        </div>
    </div>
@endsection