<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\ShopController;
use App\Http\Controllers\AdminController;

Route::get('/', function () { return view('home'); });
Route::get('/shop', [ShopController::class, 'index']);
Route::post('/shop/buy/{id}', [ShopController::class, 'buy']);
Route::get('/contact', function () { return view('contact'); });

Route::get('/admin/login', [AuthController::class, 'showLogin']);
Route::post('/admin/login', [AuthController::class, 'login']);
Route::get('/admin/logout', [AuthController::class, 'logout']);

Route::middleware('admin')->group(function () {
    Route::get('/admin', [AdminController::class, 'index']);
    Route::get('/admin/services', [AdminController::class, 'services']);
    Route::post('/admin/services', [AdminController::class, 'addService']);
    Route::put('/admin/services/{id}', [AdminController::class, 'updateService']);
    Route::delete('/admin/services/{id}', [AdminController::class, 'deleteService']);
    Route::get('/admin/banks', [AdminController::class, 'banks']);
    Route::post('/admin/banks', [AdminController::class, 'addBank']);
    Route::get('/admin/config', [AdminController::class, 'config']);
    Route::post('/admin/config', [AdminController::class, 'saveConfig']);
    Route::get('/admin/users', [AdminController::class, 'users']);
    Route::put('/admin/users/{id}', [AdminController::class, 'updateUser']);
    Route::post('/admin/users/{id}/balance', [AdminController::class, 'adjustBalance']);
    Route::get('/admin/orders', [AdminController::class, 'orders']);
    Route::put('/admin/orders/{id}', [AdminController::class, 'updateOrder']);
});